<bugID>822689<Summary>Nothing happens when clicking on a complete download in the  Downloads Panel</Summary><Description>Mozilla/5.0 (Windows NT 6.1; rv:20.0) Gecko/20121218 Firefox/20.0
Build ID: 20121218030803

Prerequisites: Firefox is set as the default browser.

Steps to reproduce:
1. Launch Firefox 
2. Navigate to http://www.mozilla.org/en-US/ and save the page
3. After the download is completed open the Downloads Panel and click on it.

Expected results:
A new tab with http://www.mozilla.org/en-US/ is opened.

Actual results:
Nothing happens.

Note: This is not reproducible on a Nightly build from December 17th.</Description></bugID>